Index: LMDZ5/branches/testing/DefLists/field_def_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/field_def_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/field_def_lmdz.xml	(revision 2845)
@@ -338,5 +338,5 @@
         <field id="od550aer"    long_name="Total aerosol optical depth at 550nm"    unit="-" />
         <field id="od865aer"    long_name="Total aerosol optical depth at 870nm"    unit="-" />
-        <field id="absvisaer"    long_name="Absorption aerosol visible optical depth"    unit="-" />
+        <field id="abs550aer"    long_name="Absorption aerosol optical depth at 550nm"    unit="-" />
         <field id="od550lt1aer"    long_name="Fine mode optical depth"    unit="-" />
         <field id="sconcso4"    long_name="Surface Concentration of Sulfate "    unit="kg/m3" />
Index: LMDZ5/branches/testing/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histLES_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histLES_lmdz.xml	(revision 2845)
@@ -337,5 +337,5 @@
                 <field field_ref="od550aer" level="10" />
                 <field field_ref="od865aer" level="10" />
-                <field field_ref="absvisaer" level="10" />
+                <field field_ref="abs550aer" level="10" />
                 <field field_ref="od550lt1aer" level="10" />
                 <field field_ref="sconcso4" level="10" />
Index: LMDZ5/branches/testing/DefLists/file_def_histday_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histday_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histday_lmdz.xml	(revision 2845)
@@ -343,5 +343,5 @@
                 <field field_ref="od550aer" level="6" />
                 <field field_ref="od865aer" level="6" />
-                <field field_ref="absvisaer" level="6" />
+                <field field_ref="abs550aer" level="6" />
                 <field field_ref="od550lt1aer" level="6" />
                 <field field_ref="sconcso4" level="6" />
Index: LMDZ5/branches/testing/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histhf_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histhf_lmdz.xml	(revision 2845)
@@ -337,5 +337,5 @@
                 <field field_ref="od550aer" level="10" />
                 <field field_ref="od865aer" level="10" />
-                <field field_ref="absvisaer" level="10" />
+                <field field_ref="abs550aer" level="10" />
                 <field field_ref="od550lt1aer" level="10" />
                 <field field_ref="sconcso4" level="10" />
Index: LMDZ5/branches/testing/DefLists/file_def_histins_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histins_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histins_lmdz.xml	(revision 2845)
@@ -337,5 +337,5 @@
                 <field field_ref="od550aer" level="10" />
                 <field field_ref="od865aer" level="10" />
-                <field field_ref="absvisaer" level="10" />
+                <field field_ref="abs550aer" level="10" />
                 <field field_ref="od550lt1aer" level="10" />
                 <field field_ref="sconcso4" level="10" />
Index: LMDZ5/branches/testing/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histmth_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histmth_lmdz.xml	(revision 2845)
@@ -363,5 +363,5 @@
                 <field field_ref="od550aer" level="2" />
                 <field field_ref="od865aer" level="2" />
-                <field field_ref="absvisaer" level="2" />
+                <field field_ref="abs550aer" level="2" />
                 <field field_ref="od550lt1aer" level="2" />
                 <field field_ref="sconcso4" level="2" />
Index: LMDZ5/branches/testing/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- LMDZ5/branches/testing/DefLists/file_def_histstn_lmdz.xml	(revision 2839)
+++ LMDZ5/branches/testing/DefLists/file_def_histstn_lmdz.xml	(revision 2845)
@@ -337,5 +337,5 @@
                 <field field_ref="od550aer" level="10" />
                 <field field_ref="od865aer" level="10" />
-                <field field_ref="absvisaer" level="10" />
+                <field field_ref="abs550aer" level="10" />
                 <field field_ref="od550lt1aer" level="10" />
                 <field field_ref="sconcso4" level="10" />
Index: LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/aeropt_2bands.F90	(revision 2845)
@@ -10,5 +10,4 @@
   USE dimphy
   USE aero_mod
-  USE phys_local_var_mod, only: absvisaer
   USE pres2lev_mod
 
@@ -1127,10 +1126,4 @@
   ENDDO
 
-  inu=1         ! visible waveband
-  mrfspecies=2  ! total aerosol AER	 
-  DO i=1, KLON
-     absvisaer(i)=SUM((1-piz_allaer(i,:,mrfspecies,inu))*tau_allaer(i,:,mrfspecies,inu))
-  ENDDO
-
   DEALLOCATE(aerosol_name) 
 
Index: LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 2845)
@@ -167,6 +167,6 @@
       REAL, SAVE, ALLOCATABLE :: od550aer(:) 
       !$OMP THREADPRIVATE(od550aer) 
-      REAL, SAVE, ALLOCATABLE :: absvisaer(:) 
-      !$OMP THREADPRIVATE(absvisaer) 
+      REAL, SAVE, ALLOCATABLE :: abs550aer(:) 
+      !$OMP THREADPRIVATE(abs550aer) 
       REAL, SAVE, ALLOCATABLE :: od865aer(:) 
       !$OMP THREADPRIVATE(od865aer) 
@@ -579,5 +579,5 @@
       allocate(od550aer(klon))
       allocate(od865aer(klon))
-      allocate(absvisaer(klon))
+      allocate(abs550aer(klon))
       allocate(ec550aer(klon,klev))
       allocate(od550lt1aer(klon))
@@ -838,5 +838,5 @@
       deallocate(od550aer)
       deallocate(od865aer)
-      deallocate(absvisaer)
+      deallocate(abs550aer)
       deallocate(ec550aer)
       deallocate(od550lt1aer)
Index: LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 2845)
@@ -1100,6 +1100,6 @@
   TYPE(ctrl_out), SAVE :: o_od865aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'od865aer', 'Total aerosol optical depth at 870nm', '-', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_absvisaer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'absvisaer', 'Absorption aerosol visible optical depth', '-', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_abs550aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'abs550aer', 'Absorption aerosol optical depth at 550nm', '-', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_od550lt1aer = ctrl_out((/ 2, 6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'od550lt1aer', 'Fine mode optical depth', '-', (/ ('', i=1, 10) /))
Index: LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_write_mod.F90	(revision 2845)
@@ -100,5 +100,5 @@
          o_solldown, o_dtsvdfo, o_dtsvdft, &
          o_dtsvdfg, o_dtsvdfi, o_z0m, o_z0h, o_od443aer, o_od550aer, &
-         o_od865aer, o_absvisaer, o_od550lt1aer, &
+         o_od865aer, o_abs550aer, o_od550lt1aer, &
          o_sconcso4, o_sconcno3, o_sconcoa, o_sconcbc, &
          o_sconcss, o_sconcdust, o_concso4, o_concno3, &
@@ -253,5 +253,5 @@
          pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
          qsat2m, tpote, tpot, d_ts, od443aer, od550aer, &
-         od865aer, absvisaer, od550lt1aer, sconcso4, sconcno3, &
+         od865aer, abs550aer, od550lt1aer, sconcso4, sconcno3, &
          sconcoa, sconcbc, sconcss, sconcdust, concso4, concno3, &
          concoa, concbc, concss, concdust, loadso4, &
@@ -1173,5 +1173,5 @@
              CALL histwrite_phy(o_od550aer, od550aer)
              CALL histwrite_phy(o_od865aer, od865aer)
-             CALL histwrite_phy(o_absvisaer, absvisaer)
+             CALL histwrite_phy(o_abs550aer, abs550aer)
              CALL histwrite_phy(o_od550lt1aer, od550lt1aer)
              CALL histwrite_phy(o_sconcso4, sconcso4)
Index: LMDZ5/branches/testing/libf/phylmd/readaerosol.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/readaerosol.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/readaerosol.F90	(revision 2845)
@@ -42,5 +42,4 @@
   REAL, POINTER, DIMENSION(:,:,:) :: pt_2
   REAL, DIMENSION(klon,12)        :: psurf2, load2
-  REAL                            :: p0           ! Reference pressure
   INTEGER                         :: iyr1, iyr2, klev_src2
   INTEGER                         :: it, k, i
@@ -58,5 +57,5 @@
      ! get_aero_fromfile returns pt_out allocated and initialized with data for 12 month 
      ! pt_out has dimensions (klon, klev_src, 12)
-     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
      
 
@@ -67,5 +66,5 @@
      ! get_aero_fromfile returns pt_out allocated and initialized with data for 12 month 
      ! pt_out has dimensions (klon, klev_src, 12)
-     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
      
   ELSE IF (type == 'annuel') THEN
@@ -76,5 +75,5 @@
      ! get_aero_fromfile returns pt_out allocated and initialized with data for nbr_tsteps month 
      ! pt_out has dimensions (klon, klev_src, 12)
-     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+     CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
      
   ELSE IF (type == 'scenario') THEN
@@ -86,5 +85,5 @@
         ! get_aero_fromfile returns pt_out allocated and initialized with data for 12 month 
         ! pt_out has dimensions (klon, klev_src, 12)
-        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
         
      ELSE IF (iyr_in .GE. 2100) THEN
@@ -93,5 +92,5 @@
         ! get_aero_fromfile returns pt_out allocated and initialized with data for 12 month 
         ! pt_out has dimensions (klon, klev_src, 12)
-        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
         
      ELSE
@@ -113,5 +112,5 @@
         ! get_aero_fromfile returns pt_out allocated and initialized with data for 12 month 
         ! pt_out has dimensions (klon, klev_src, 12)
-        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, p0, pt_out, psurf, load)
+        CALL get_aero_fromfile(name_aero, cyear, filename, klev_src, pt_ap, pt_b, pt_out, psurf, load)
         
         ! If to read two decades:
@@ -125,5 +124,5 @@
            ! get_aero_fromfile returns pt_2 allocated and initialized with data for 12 month 
            ! pt_2 has dimensions (klon, klev_src, 12)
-           CALL get_aero_fromfile(name_aero, cyear, filename, klev_src2, pt_ap, pt_b, p0, pt_2, psurf2, load2)
+           CALL get_aero_fromfile(name_aero, cyear, filename, klev_src2, pt_ap, pt_b, pt_2, psurf2, load2)
            ! Test for same number of vertical levels
            IF (klev_src /= klev_src2) THEN
@@ -168,5 +167,5 @@
 
 
-  SUBROUTINE get_aero_fromfile(varname, cyr, filename, klev_src, pt_ap, pt_b, p0, pt_year, psurf_out, load_out)
+  SUBROUTINE get_aero_fromfile(varname, cyr, filename, klev_src, pt_ap, pt_b, pt_year, psurf_out, load_out)
 !****************************************************************************************
 ! Read 12 month aerosol from file and distribute to local process on physical grid. 
@@ -205,5 +204,4 @@
     REAL, POINTER, DIMENSION(:)           :: pt_ap        ! Pointer for describing the vertical levels      
     REAL, POINTER, DIMENSION(:)           :: pt_b         ! Pointer for describing the vertical levels      
-    REAL                                  :: p0           ! Reference pressure value
     REAL, POINTER, DIMENSION(:,:,:)       :: pt_year      ! Pointer-variabale from file, 12 month, grid : klon,klev_src
     REAL, DIMENSION(klon,12), INTENT(OUT) :: psurf_out    ! Surface pression for 12 months
@@ -292,13 +290,20 @@
        IF (ierr /= NF90_NOERR) THEN
           ! Coordinate axe lev not found. Check for presnivs.
-          ierr = nf90_inq_dimid(ncid, 'PRESNIVS', dimid)
+          ierr = nf90_inq_dimid(ncid, 'presnivs', dimid) 
           IF (ierr /= NF90_NOERR) THEN
-             ! Dimension PRESNIVS not found either
-             CALL abort_physic('get_aero_fromfile', 'dimension lev or presnivs not in file',1)
-          ELSE 
-             ! Old file found
-             new_file=.FALSE.
-             WRITE(lunout,*) 'Vertical interpolation for ',TRIM(varname),' will not be done'
-          END IF
+             ierr = nf90_inq_dimid(ncid, 'PRESNIVS', dimid)
+             IF (ierr /= NF90_NOERR) THEN
+                ! Dimension PRESNIVS not found either
+                CALL abort_physic('get_aero_fromfile', 'dimension lev,PRESNIVS or presnivs not in file',1)
+             ELSE 
+                ! Old file found
+                new_file=.FALSE.
+                WRITE(lunout,*) 'Vertical interpolation for ',TRIM(varname),' will not be done'
+             END IF
+          ELSE
+             ! New file found
+             new_file=.TRUE.
+             WRITE(lunout,*) 'Vertical interpolation for ',TRIM(varname),' will be done'
+          ENDIF
        ELSE
           ! New file found
@@ -328,5 +333,8 @@
 !**************************************************************************************************
        ierr = nf90_inq_dimid(ncid, 'TIME',dimid)
-       CALL check_err( nf90_inquire_dimension(ncid, dimid, len = nbr_tsteps),"pb inq dim TIME" )
+       if (ierr /= NF90_NOERR) THEN
+          ierr = nf90_inq_dimid(ncid, 'time_counter', dimid)
+       ENDIF
+       CALL check_err( nf90_inquire_dimension(ncid, dimid, len = nbr_tsteps),"pb inq dim TIME or time_counter" )
 !       IF (nbr_tsteps /= 12 .AND. nbr_tsteps /= 14) THEN
        IF (nbr_tsteps /= 12 ) THEN
@@ -382,10 +390,4 @@
           CALL check_err( nf90_get_var(ncid, varid, pt_b),"pb get var b" )
 
-! ++) Read p0 : reference pressure
-!****************************************************************************************
-          ! Get variable id
-          CALL check_err( nf90_inq_varid(ncid, "p0", varid),"pb inq var p0" )
-          ! Get the variable
-          CALL check_err( nf90_get_var(ncid, varid, p0),"pb get var p0" )
           
 
Index: LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/readaerosol_interp.F90	(revision 2845)
@@ -162,5 +162,5 @@
      NULLIFY(pt_ap)
      NULLIFY(pt_b)
-  END IF
+  ENDIF
 
 !****************************************************************************************
@@ -187,5 +187,5 @@
            filename='aerosols'
            type='annuel'
-        END IF
+        ENDIF
      ELSE  IF (aer_type == 'mix2') THEN
         ! Special case using a mix of decenal sulfate file and natrual aerosols
@@ -196,5 +196,5 @@
            filename='aerosols'
            type='preind'
-        END IF
+        ENDIF
      ELSE  IF (aer_type == 'mix3') THEN
         ! Special case using a mix of annual sulfate file and natrual aerosols
@@ -205,8 +205,8 @@
            filename='aerosols' 
            type='preind'
-        END IF
+        ENDIF
      ELSE
         CALL abort_physic('readaerosol_interp', 'this aer_type not supported',1)
-     END IF
+     ENDIF
 
      CALL readaerosol(name_aero(id_aero), type, filename, iyr, klev_src, pt_ap, pt_b, pt_tmp, &
@@ -215,5 +215,5 @@
         ALLOCATE(var_year(klon, klev_src, 12, naero_spc), stat=ierr)
         IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 5',1)
-     END IF
+     ENDIF
      var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
 
@@ -229,10 +229,10 @@
         WRITE(lunout,*) 'Aerosol : ', name_aero(id_aero)
         CALL abort_physic('readaerosol_interp','Differnt vertical axes in aerosol forcing files',1)
-     END IF
+     ENDIF
 
      IF (.NOT. ALLOCATED(pi_var_year)) THEN
         ALLOCATE(pi_var_year(klon, klev_src, 12, naero_spc), stat=ierr)
         IF (ierr /= 0) CALL abort_physic('readaerosol_interp', 'pb in allocation 6',1)
-     END IF
+     ENDIF
      pi_var_year(:,:,:,id_aero) = pt_tmp(:,:,:)
     
@@ -244,5 +244,5 @@
         CALL writefield_phy('load_year_src',load_year(:,:,id_aero),1)
         CALL writefield_phy('pi_load_year_src',pi_load_year(:,:,id_aero),1)
-     END IF
+     ENDIF
 
      ! Pointer no more useful, deallocate. 
@@ -258,14 +258,14 @@
            WRITE(lunout,*) 'Warning! All forcing files for the same aerosol must have the same structure'
            CALL abort_physic('readaerosol_interp', 'The aerosol files have not the same format',1)
-        END IF
+        ENDIF
         
         IF (klev /= klev_src) THEN
            WRITE(lunout,*) 'Old format of aerosol file do not allowed vertical interpolation'
            CALL abort_physic('readaerosol_interp', 'Old aerosol file not possible',1)
-        END IF
+        ENDIF
 
      ELSE 
         vert_interp = .TRUE.
-     END IF
+     ENDIF
 
 !    Calendar initialisation
@@ -286,5 +286,5 @@
      endif
 
-  END IF  ! IF ( (first .OR. iday==0) .AND. lnewday ) THEN 
+  ENDIF  ! IF ( (first .OR. iday==0) .AND. lnewday ) THEN 
   
 !****************************************************************************************
@@ -309,5 +309,5 @@
              ! the month is january, thus the month before december
              im2=12
-          END IF
+          ENDIF
        ELSE
           ! the second half of the month
@@ -319,5 +319,5 @@
              im2=1
           ENDIF
-       END IF
+       ENDIF
      ELSE IF (nbr_tsteps == 14) then
        im = im + 1
@@ -332,5 +332,5 @@
           day1 = month_mid(im)
           day2 = month_mid(im2)
-       END IF
+       ENDIF
      ELSE
        CALL abort_physic('readaerosol_interp', 'number of months undefined',1)
@@ -358,6 +358,6 @@
                 pi_var_year(i,k,im2,id_aero) - (jDay-day2)/(day1-day2) * &
                 (pi_var_year(i,k,im2,id_aero) - pi_var_year(i,k,im,id_aero))
-        END DO
-     END DO
+        ENDDO
+     ENDDO
 
      ! Time interpolation for pressure at surface, still on vertical source grid
@@ -370,5 +370,5 @@
              pi_psurf_year(i,im2,id_aero) - (jDay-day2)/(day1-day2) * &
              (pi_psurf_year(i,im2,id_aero) - pi_psurf_year(i,im,id_aero))
-     END DO
+     ENDDO
 
      ! Time interpolation for the load, still on vertical source grid
@@ -381,5 +381,5 @@
              pi_load_year(i,im2,id_aero) - (jDay-day2)/(day1-day2) * &
              (pi_load_year(i,im2,id_aero) - pi_load_year(i,im,id_aero))
-     END DO
+     ENDDO
 
 !****************************************************************************************
@@ -397,6 +397,6 @@
            DO i = 1, klon
               pplay_src(i,k)= pt_ap(k) + pt_b(k)*psurf_day(i)
-           END DO
-        END DO
+           ENDDO
+        ENDDO
         
         IF (debug) THEN
@@ -406,5 +406,5 @@
            CALL writefield_phy('day_src',tmp1,klev_src)
            CALL writefield_phy('pi_day_src',tmp2,klev_src)
-        END IF
+        ENDIF
 
         ! b) vertical interpolation on pressure leveles
@@ -422,6 +422,6 @@
            DO i = 1, klon
               delp(i,k) = paprs(i,k) - paprs (i,k+1)
-           END DO
-        END DO
+           ENDDO
+        ENDDO
 
         ! Find the mass load in the actual pillar, on target grid
@@ -431,14 +431,14 @@
               zrho = pplay(i,k)/t_seri(i,k)/RD       ! [kg/m3]
               volm = var_day(i,k,id_aero)*1.E-9/zrho ! [kg/kg]
-              load_tgt(i) = load_tgt(i) + 1/RG * volm *delp(i,k)
-           END DO
-        END DO
+              load_tgt(i) = load_tgt(i) + volm *delp(i,k)/RG
+           ENDDO
+        ENDDO
         
         ! Adjust, uniform
         DO k = 1, klev
            DO i = 1, klon
-              var_day(i,k,id_aero) = var_day(i,k,id_aero)*load_src(i)/load_tgt(i) 
-           END DO
-        END DO
+              var_day(i,k,id_aero) = var_day(i,k,id_aero)*load_src(i)/max(1.e-30,load_tgt(i))
+           ENDDO
+        ENDDO
         
         IF (debug) THEN
@@ -448,7 +448,7 @@
                  zrho = pplay(i,k)/t_seri(i,k)/RD       ! [kg/m3]
                  volm = var_day(i,k,id_aero)*1.E-9/zrho ! [kg/kg]
-                 load_tgt_test(i) = load_tgt_test(i) + 1/RG * volm*delp(i,k)
-              END DO
-           END DO
+                 load_tgt_test(i) = load_tgt_test(i) + volm*delp(i,k)/RG
+              ENDDO
+           ENDDO
            
            CALL writefield_phy('day_tgt2',var_day(:,:,id_aero),klev)
@@ -456,5 +456,5 @@
            CALL writefield_phy('load_tgt_test',load_tgt_test(:),1)
            CALL writefield_phy('load_src',load_src(:),1)
-        END IF
+        ENDIF
 
         ! - Interpolate variable tmp2 (source grid) to pi_var_day (target grid)
@@ -464,11 +464,11 @@
            DO i = 1, klon
               pplay_src(i,k)= pt_ap(k) + pt_b(k)*pi_psurf_day(i)
-           END DO
-        END DO
+           ENDDO
+        ENDDO
 
         IF (debug) THEN
            CALL writefield_phy('pi_psurf_day_src',pi_psurf_day(:),1)
            CALL writefield_phy('pi_pplay_src',pplay_src(:,:),klev_src)
-        END IF
+        ENDIF
 
         ! b) vertical interpolation on pressure leveles
@@ -488,13 +488,13 @@
               zrho = pplay(i,k)/t_seri(i,k)/RD          ! [kg/m3]
               volm = pi_var_day(i,k,id_aero)*1.E-9/zrho ! [kg/kg]
-              load_tgt(i) = load_tgt(i) + 1/RG * volm * delp(i,k)
-           END DO
-        END DO
+              load_tgt(i) = load_tgt(i) + volm*delp(i,k)/RG
+           ENDDO
+        ENDDO
 
         DO k = 1, klev
            DO i = 1, klon
-              pi_var_day(i,k,id_aero) = pi_var_day(i,k,id_aero)*pi_load_src(i)/load_tgt(i)
-           END DO
-        END DO
+              pi_var_day(i,k,id_aero) = pi_var_day(i,k,id_aero)*pi_load_src(i)/max(1.e-30,load_tgt(i))
+           ENDDO
+        ENDDO
 
         IF (debug) THEN
@@ -504,12 +504,12 @@
                  zrho = pplay(i,k)/t_seri(i,k)/RD          ! [kg/m3]
                  volm = pi_var_day(i,k,id_aero)*1.E-9/zrho ! [kg/kg]
-                 load_tgt_test(i) = load_tgt_test(i) + 1/RG * volm * delp(i,k)
-              END DO
-           END DO
+                 load_tgt_test(i) = load_tgt_test(i) + volm*delp(i,k)/RG
+              ENDDO
+           ENDDO
            CALL writefield_phy('pi_day_tgt2',pi_var_day(:,:,id_aero),klev)
            CALL writefield_phy('pi_load_tgt',load_tgt(:),1)
            CALL writefield_phy('pi_load_tgt_test',load_tgt_test(:),1)
            CALL writefield_phy('pi_load_src',pi_load_src(:),1)
-        END IF
+        ENDIF
 
 
@@ -519,5 +519,5 @@
         pi_var_day(:,:,id_aero) = tmp2(:,:)
 
-     END IF ! vert_interp
+     ENDIF ! vert_interp
 
 
@@ -539,12 +539,12 @@
                          trim(name_aero(id_aero)),'(i,k,im)=',           &
                          var_year(i,k,im2,id_aero) - var_year(i,k,im,id_aero)
-                 END IF
+                 ENDIF
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
                  WRITE(lunout,*) 'day1, day2, jDay = ', day1, day2, jDay 
                  CALL abort_physic('readaerosol_interp','Error in interpolation 1',1)
-              END IF
-           END DO 
-        END DO
-     END IF
+              ENDIF
+           ENDDO 
+        ENDDO
+     ENDIF
 
      IF (MINVAL(pi_var_day(:,:,id_aero)) < 0. ) THEN
@@ -558,14 +558,14 @@
                          trim(name_aero(id_aero)),'(i,k,im)=',           &
                          pi_var_year(i,k,im2,id_aero) - pi_var_year(i,k,im,id_aero)
-                 END IF
+                 ENDIF
                  
                  WRITE(lunout,*) 'stop for aerosol : ',name_aero(id_aero)
                  CALL abort_physic('readaerosol_interp','Error in interpolation 2',1)
-              END IF
-           END DO
-        END DO
-     END IF
-
-  END IF ! lnewday
+              ENDIF
+           ENDDO
+        ENDDO
+     ENDIF
+
+  ENDIF ! lnewday
 
 !****************************************************************************************
Index: LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_5wv_rrtm.F90	(revision 2845)
@@ -12,5 +12,5 @@
   USE DIMPHY
   USE aero_mod
-  USE phys_local_var_mod, ONLY: od443aer,od550aer,od865aer,ec550aer,od550lt1aer
+  USE phys_local_var_mod, ONLY: od443aer,od550aer,od865aer,ec550aer,od550lt1aer,abs550aer
   USE YOMCST, ONLY: RD,RG
 
@@ -68,5 +68,4 @@
   REAL, DIMENSION(klon,nwave,naero_tot), INTENT(OUT)      :: tausum
   REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(OUT) :: tau
-
   !
   ! Local
@@ -95,4 +94,5 @@
   REAL :: delta(klon,klev), rh(klon,klev)
   REAL :: tau_ae5wv_int   ! Intermediate computation of epaisseur optique aerosol
+  REAL :: abs_ae5wv_int   ! Intermediate computation of epaisseur optique aerosol
   REAL :: od670aer(klon)  ! epaisseur optique aerosol extinction 670 nm
   REAL :: fac
@@ -104,5 +104,7 @@
   
   REAL :: alpha_aers_5wv(nbre_RH,las,naero_soluble)   ! Ext. coeff. ** m2/g 
+  REAL :: abs_aers_5wv(nbre_RH,las,naero_soluble)     ! Abs. coeff. ** m2/g 
   REAL :: alpha_aeri_5wv(las,naero_insoluble)         ! Ext. coeff. ** m2/g 
+  REAL :: abs_aeri_5wv(las,naero_insoluble)           ! Abs. coeff. ** m2/g 
 
   !
@@ -117,4 +119,5 @@
   ! Geophys. Res. Atmos. Added by R. Wang and OB
   REAL :: alpha_MG_5wv(nbre_RH,las,nbclassbc)
+  REAL :: abs_MG_5wv(nbre_RH,las,nbclassbc)
 
   !
@@ -191,4 +194,70 @@
    ! Nitrate insoluble
   0.726, 0.753, 0.780, 0.797, 0.811 /
+!
+ DATA abs_aers_5wv/ &
+   ! absorption BC Accumulation Soluble (AS)
+  2.861, 2.861, 2.861, 2.861, 2.861, 3.089, 3.316, 3.767, 4.167, 4.211, 4.255, 4.647, &
+  2.806, 2.806, 2.806, 2.806, 2.806, 3.010, 3.209, 3.597, 3.935, 3.971, 4.008, 4.333, &
+  2.674, 2.674, 2.674, 2.674, 2.674, 2.847, 3.015, 3.335, 3.608, 3.638, 3.667, 3.924, &
+  2.566, 2.566, 2.566, 2.566, 2.566, 2.723, 2.872, 3.155, 3.393, 3.419, 3.444, 3.667, &
+  2.444, 2.444, 2.444, 2.444, 2.444, 2.585, 2.719, 2.968, 3.176, 3.199, 3.221, 3.413, &
+   ! absorption POM Accumulation Soluble (AS)
+  0.170, 0.170, 0.170, 0.170, 0.170, 0.167, 0.165, 0.162, 0.160, 0.160, 0.159, 0.158, &
+  0.145, 0.145, 0.145, 0.145, 0.145, 0.143, 0.142, 0.139, 0.138, 0.138, 0.138, 0.137, &
+  0.125, 0.125, 0.125, 0.125, 0.125, 0.123, 0.122, 0.120, 0.119, 0.119, 0.119, 0.119, &
+  0.131, 0.131, 0.131, 0.131, 0.131, 0.130, 0.129, 0.127, 0.127, 0.127, 0.127, 0.127, &
+  0.133, 0.133, 0.133, 0.133, 0.133, 0.132, 0.131, 0.131, 0.131, 0.131, 0.131, 0.131, &
+  ! absorption Sulfate Coarse Soluble (CS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   !-- Absorption Sulfate Accumulation (BC content=0)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   ! absorption Seasalt Super Coarse Soluble (SS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   ! absorption Seasalt Coarse Soluble (CS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   ! absorption Seasalt Accumulation Soluble (AS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   ! absorption Nitrate Coarse Soluble (CS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+   ! absorption Nitrate Accumulation Soluble (AS)
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, &
+  0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000, 0.000  /
+
+ DATA abs_aeri_5wv/ &
+   ! absorption Dust insoluble
+  0.081, 0.048, 0.032, 0.027, 0.019, &
+   ! absorption BC insoluble
+  2.861, 2.806, 2.674, 2.566, 2.444, &
+   ! absorption POM insoluble
+  0.170, 0.145, 0.125, 0.131, 0.133, &
+   ! absorption Nitrate insoluble
+  0.000, 0.000, 0.000, 0.000, 0.000 /
 
 ! Added by R. Wang (July 31 2016)
@@ -232,4 +301,42 @@
    4.505,  4.505,  4.505,  4.505,  4.520,  4.444,  4.356,  4.243,  4.089,  3.997,  3.912,  4.179, &
    4.295,  4.295,  4.295,  4.295,  4.307,  4.239,  4.157,  4.045,  3.876,  3.757,  3.602,  3.569  /
+!
+   DATA abs_MG_5wv/ &
+ !--BC content=0.001
+  13.416, 13.416, 13.416, 13.416, 12.041, 11.928, 11.793, 11.680, 11.488, 11.367, 11.200, 10.968,&
+  10.085, 10.085, 10.085, 10.085,  9.116,  9.061,  8.977,  8.901,  8.778, 8.712,  8.617,  8.474, &
+   7.491,  7.491,  7.491,  7.491,  6.836,  6.808,  6.764,  6.719,  6.659, 6.613,  6.568,  6.508, &
+   6.269,  6.269,  6.269,  6.269,  5.774,  5.761,  5.734,  5.706,  5.665, 5.637,  5.615,  5.579, &
+   5.300,  5.300,  5.300,  5.300,  4.919,  4.913,  4.899,  4.882,  4.863, 4.847,  4.831,  4.825, &
+ !--BC content=0.010
+  12.829, 12.829, 12.829, 12.829, 11.692, 11.618, 11.523, 11.419, 11.278, 11.192, 11.055, 10.850,&
+   9.766,  9.766,  9.766,  9.766,  8.932,  8.890,  8.828,  8.762,  8.671, 8.617,  8.528,  8.411, &
+   7.316,  7.316,  7.316,  7.316,  6.739,  6.716,  6.684,  6.643,  6.597, 6.561,  6.517,  6.465, &
+   6.154,  6.154,  6.154,  6.154,  5.708,  5.696,  5.676,  5.651,  5.624, 5.602,  5.576,  5.543, &
+   5.216,  5.216,  5.216,  5.216,  4.874,  4.870,  4.860,  4.848,  4.835, 4.823,  4.810,  4.800, &
+ !--BC content=0.020
+  12.290, 12.290, 12.290, 12.290, 11.358, 11.315, 11.248, 11.175, 11.073, 11.008, 10.902, 10.743,&
+   9.455,  9.455,  9.455,  9.455,  8.743,  8.716,  8.671,  8.622,  8.556, 8.513,  8.442,  8.349, &
+   7.142,  7.142,  7.142,  7.142,  6.635,  6.621,  6.596,  6.567,  6.532, 6.503,  6.469,  6.428, &
+   6.033,  6.033,  6.033,  6.033,  5.634,  5.629,  5.615,  5.598,  5.578, 5.561,  5.541,  5.517, &
+   5.130,  5.130,  5.130,  5.130,  4.821,  4.821,  4.816,  4.809,  4.801, 4.794,  4.784,  4.781, &
+ !--BC content=0.050
+  10.989, 10.989, 10.989, 10.989, 10.504, 10.523, 10.528, 10.528, 10.522, 10.512, 10.485, 10.445,&
+   8.671,  8.671,  8.671,  8.671,  8.239,  8.249,  8.248,  8.242,  8.233, 8.221,  8.199,  8.176, &
+   6.688,  6.688,  6.688,  6.688,  6.346,  6.354,  6.353,  6.350,  6.346, 6.339,  6.328,  6.322, &
+   5.707,  5.707,  5.707,  5.707,  5.427,  5.437,  5.440,  5.441,  5.444, 5.442,  5.438,  5.444, &
+   4.894,  4.894,  4.894,  4.894,  4.671,  4.682,  4.688,  4.694,  4.702, 4.705,  4.709,  4.726, &
+ !--BC content=0.100
+   9.397,  9.397,  9.397,  9.397,  9.357,  9.443,  9.525,  9.615,  9.725, 9.788,  9.866,  9.991, &
+   7.654,  7.654,  7.654,  7.654,  7.527,  7.581,  7.629,  7.682,  7.746, 7.781,  7.825,  7.901, &
+   6.070,  6.070,  6.070,  6.070,  5.922,  5.956,  5.986,  6.018,  6.057, 6.079,  6.105,  6.156, &
+   5.252,  5.252,  5.252,  5.252,  5.117,  5.146,  5.171,  5.198,  5.231, 5.250,  5.274,  5.322, &
+   4.557,  4.557,  4.557,  4.557,  4.441,  4.466,  4.489,  4.513,  4.544, 4.562,  4.586,  4.634, &
+ !--BC content=0.200
+   7.300,  7.300,  7.300,  7.300,  7.649,  7.799,  7.960,  8.149,  8.397, 8.559,  8.779,  9.149, &
+   6.225,  6.225,  6.225,  6.225,  6.403,  6.504,  6.610,  6.733,  6.893, 6.996,  7.136,  7.372, &
+   5.145,  5.145,  5.145,  5.145,  5.216,  5.282,  5.350,  5.429,  5.530, 5.595,  5.682,  5.833, &
+   4.550,  4.550,  4.550,  4.550,  4.587,  4.640,  4.694,  4.756,  4.836, 4.887,  4.957,  5.079, &
+   4.023,  4.023,  4.023,  4.023,  4.041,  4.084,  4.128,  4.178,  4.244, 4.286,  4.344,  4.447  /
   ! 
   ! Initialisations
@@ -237,4 +344,6 @@
   tausum(:,:,:) = 0.
   tau(:,:,:,:)=0.
+
+  abs550aer(:)=0.0
 
   DO k=1, klev
@@ -396,9 +505,17 @@
              ENDIF
 
-              tau_ae5wv_int = alpha_MG_5wv(RH_num(i,k),la,classbc)+DELTA(i,k)* &
-                             (alpha_MG_5wv(RH_num(i,k)+1,la,classbc) - & 
-                              alpha_MG_5wv(RH_num(i,k),la,classbc))
-              tau(i,k,la,aerindex) = m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
-              tausum(i,la,aerindex)=tausum(i,la,aerindex)+tau(i,k,la,aerindex)
+             tau_ae5wv_int = alpha_MG_5wv(RH_num(i,k),la,classbc)+DELTA(i,k)* &
+                            (alpha_MG_5wv(RH_num(i,k)+1,la,classbc) - & 
+                             alpha_MG_5wv(RH_num(i,k),la,classbc))
+             tau(i,k,la,aerindex) = m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
+             tausum(i,la,aerindex)=tausum(i,la,aerindex)+tau(i,k,la,aerindex)
+
+             IF (la.EQ.la550) THEN 
+                abs_ae5wv_int = abs_MG_5wv(RH_num(i,k),la,classbc)+DELTA(i,k)* &
+                               (abs_MG_5wv(RH_num(i,k)+1,la,classbc) - & 
+                                abs_MG_5wv(RH_num(i,k),la,classbc))
+                abs550aer(i)=abs550aer(i)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*abs_ae5wv_int*fac
+             ENDIF 
+
             ENDDO
           ENDDO
@@ -414,4 +531,12 @@
               tau(i,k,la,aerindex) = m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
               tausum(i,la,aerindex)=tausum(i,la,aerindex)+tau(i,k,la,aerindex)
+
+              IF (la.EQ.la550) THEN 
+                 abs_ae5wv_int = abs_aers_5wv(RH_num(i,k),la,spsol)+DELTA(i,k)* &
+                                (abs_aers_5wv(RH_num(i,k)+1,la,spsol) - & 
+                                 abs_aers_5wv(RH_num(i,k),la,spsol))
+                 abs550aer(i)=abs550aer(i)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*abs_ae5wv_int*fac
+              ENDIF 
+
             ENDDO
           ENDDO
@@ -424,7 +549,14 @@
         DO k=1, klev
           DO i=1, klon
+
             tau_ae5wv_int = alpha_aeri_5wv(la,spinsol)
             tau(i,k,la,aerindex) = m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*tau_ae5wv_int*fac
             tausum(i,la,aerindex)= tausum(i,la,aerindex)+tau(i,k,la,aerindex)
+
+            IF (la.EQ.la550) THEN 
+               abs_ae5wv_int = abs_aeri_5wv(la,spsol)
+               abs550aer(i)=abs550aer(i)+m_allaer(i,k,aerindex)/1.e6*zdh(i,k)*abs_ae5wv_int*fac
+            ENDIF 
+
           ENDDO
         ENDDO
Index: LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90	(revision 2839)
+++ LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_6bands_rrtm.F90	(revision 2845)
@@ -10,5 +10,4 @@
   USE dimphy
   USE aero_mod
-  USE phys_local_var_mod, only: absvisaer
   USE YOMCST, ONLY: RG
 
@@ -835,10 +834,4 @@
     ENDDO
    
-!--waveband 2 and all aerosol (third index = 2)
-  inu=2
-  DO i=1, klon
-     absvisaer(i)=SUM((1-piz_allaer(i,:,2,inu))*tau_allaer(i,:,2,inu))
-  ENDDO
-
   DEALLOCATE(aerosol_name) 
 
